Bug 857242 - (CVE-2012-4428) CVE-2012-4428 openslp: out-of-bounds read in SLPIntersectStringList() can cause DoS
CVE-2012-4428 openslp: out-of-bounds read in SLPIntersectStringList() can cau...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120913,repor...
: Security
Depends On: 857245 857247
Blocks: 857244
  Show dependency treegraph
 
Reported: 2012-09-13 18:08 EDT by Vincent Danen
Modified: 2016-03-04 07:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-09-13 18:08:45 EDT
An out-of-bounds read error was reported [1] in OpenSLP's SLPIntersectStringList() function (in common/sip_compare.c) when processing service requests.  This could be exploited to cause a crash via a specially-crafted request.  The report is against version 1.2.1, however other versions may be affected.

There is not yet any upstream patch or bug report.

[1] https://secunia.com/advisories/50130/
Comment 1 Vincent Danen 2012-09-13 18:12:36 EDT
Created openslp tracking bugs for this issue

Affects: fedora-all [bug 857245]
Comment 2 Vincent Danen 2012-09-13 18:13:31 EDT
Created openslp tracking bugs for this issue

Affects: epel-5 [bug 857247]
Comment 3 Jan Lieskovsky 2012-09-14 05:01:28 EDT
The CVE identifier of CVE-2012-4428 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/09/13/27
Comment 4 Huzaifa S. Sidhpurwala 2012-09-20 00:37:20 EDT
Upstream bug:
http://sourceforge.net/tracker/?func=detail&aid=3065116&group_id=1730&atid=101730
Comment 8 Stefan Cornelius 2012-11-14 09:58:50 EST
Statement:

Not vulnerable. This issue did not affect the versions of openslp as shipped with Red Hat Enterprise Linux 6.
Comment 9 Rex Dieter 2015-05-11 08:36:50 EDT
Found 2 patches produced in the wild that appear to be functionally the same,

https://bugs.debian.org/cgi-bin/bugreport.cgi?msg=27;filename=CVE-2012-4428.patch;att=1;bug=687597
( referenced from https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=687597 )

and 

http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/net/openslp/patches/patch-CVE-2012-4428

I'm leaning toward using the debian variant.
Comment 10 Fedora Update System 2015-05-26 17:29:57 EDT
openslp-1.2.1-22.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-05-27 12:29:08 EDT
openslp-1.2.1-22.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.